%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate pulldown-cmark

Name:           rust-pulldown-cmark0.8
Version:        0.8.0
Release:    2%{?dist}
Summary:        Pull parser for CommonMark

License:        MIT
URL:            https://crates.io/crates/pulldown-cmark
Source0:         %{crates_source}
Patch:          pulldown-cmark-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A pull parser for CommonMark.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gen-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gen-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "gen-tests" feature of the "%{crate}" crate.

%files       -n %{name}+gen-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+getopts-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+getopts-devel %{_description}

This package contains library source intended for building other packages which
use the "getopts" feature of the "%{crate}" crate.

%files       -n %{name}+getopts-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.8.0-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-1
- initial build
